local startMonologueRetroStation = {
	{say = "I know you...", stayFor = towerofheaven.stayForMedium},
	{say = "You are the person who \nunleashed Doomsday upon your world.\nRetroStation...", stayFor = towerofheaven.stayForLong},
	{say = "Your chaos is unwelcome\nin this tower.", stayFor = towerofheaven.stayForMedium},
	{say = "If you intend to test my patience,\nthen I shall test you in turn.", stayFor = towerofheaven.stayForLong},
	{say = "Obey my laws,\nor thy punishment shall be\nswift and merciless.", stayFor = towerofheaven.stayForLong},
	{say = "May heaven grant you nothing.", stayFor = towerofheaven.stayForMedium},
}

local startMonologueDinomial = {
	{say = "I know who you are...", stayFor = towerofheaven.stayForMedium},
	{say = "The one who cast down\nDisasters across the land.\nDinomial...", stayFor = towerofheaven.stayForLong},
	{say = "Your terrorism and cruelty\nare not welcome here.", stayFor = towerofheaven.stayForMedium},
	{say = "If you wish to stay,\nthen you must prove your compliance.", stayFor = towerofheaven.stayForLong},
	{say = "Disobey my laws, and\nI will promise no mercy for the likes of you.", stayFor = towerofheaven.stayForLong},
	{say = "May heaven grant you nothing.", stayFor = towerofheaven.stayForMedium},
}

local startMonologueDisasterDash = {
	{say = "No... not here...\nDinomial... What have you done?", stayFor = towerofheaven.stayForMedium},
	{say = "You know that your Disasters\nare not welcome here.", stayFor = towerofheaven.stayForLong},
	{say = "If you wish to stay,\nobey my laws, or I promise\na brutal punishment.", stayFor = towerofheaven.stayForLong},
	{say = "May you pay for what\nyou have brought to my tower.", stayFor = towerofheaven.stayForMedium},
}


if towerofheaven then
	towerofheaven.specialcondition_RetroStation = false
	towerofheaven.specialcondition_Dinomial = false
	towerofheaven.specialcondition_DisasterDash = false
	addHook("NetVars", function(net)
		towerofheaven.specialcondition_RetroStation = net($)
		towerofheaven.specialcondition_Dinomial = net($)
		towerofheaven.specialcondition_DisasterDash = net($)
	end)
	
	local RetroCondition = {
		condition = do return towerofheaven.pInGame() == 1 and displayplayers[0].name == "RetroStation" and not towerofheaven.specialcondition_RetroStation end,
		dialog = startMonologueRetroStation,
		post = do towerofheaven.specialcondition_RetroStation = true end
	}
	table.insert(towerofheaven.contextResponses, 1, RetroCondition)
	
	local DinoCondition = {
		condition = do return towerofheaven.pInGame() == 1 and displayplayers[0].name == "Dinomial" and not towerofheaven.specialcondition_Dinomial end,
		dialog = startMonologueDinomial,
		post = do towerofheaven.specialcondition_Dinomial = true end
	}
	table.insert(towerofheaven.contextResponses, 1, DinoCondition)
	
	local DisasterCondition = {
		condition = do return (DisasterDash and DisasterDash.Events and DisasterDash.Events.Chosen) and not towerofheaven.specialcondition_DisasterDash end,
		dialog = startMonologueDisasterDash,
		post = do towerofheaven.specialcondition_DisasterDash = true end
	}
	table.insert(towerofheaven.contextResponses, 1, DisasterCondition)
end